#!/bin/bash

set -e

TAG="${1}"
BASE=$(echo ${TAG} | cut -d":" -f1)
FULL="${2}"

if [[ -z "${TAG}" ]]; then
  echo "You must specify a container tag. ex: lalanza808/wownero:v0.9.2.1"
  exit 1
fi

if [[ -z "${FULL}" ]]
then
  echo -e "[+] Building container by fetching binaries"
  docker build -t "${TAG}" -f dockerfiles/wownerod_nocompile .
else
  echo -e "[+] Building container by compiling binaries"
  docker build -t "${TAG}" .
fi

docker tag "${TAG}" "${BASE}:latest"

docker push "${TAG}"

docker push "${BASE}:latest"
